Handy Tips
2.1. Fetch Token by Payment ID
The following endpoint retrieves thetoken_id using a payment_id.
/payments/:id
Curl
Handy Tips
token_id via the payment.authorized webhook.
Path Parameter
id mandatory
: string The unique identifier of the payment to be retrieved. For example, pay_1Aa00000000002.
2.2. Fetch Tokens by Customer ID
A customer can have multiple tokens and these tokens can be used to create subsequent payments for multiple products or services. The following endpoint retrieves tokens linked to a customer.Path Parameter
id mandatory
: string The unique identifier of the customer for whom tokens are to be retrieved. For example, cust_1Aa00000000002.
2.3. Delete Tokens
The following endpoint deletes a token. /customers/:customer_id/tokens/:token_idCurl
Response
Path Parameter
customer_id mandatory
: string The unique identifier of the customer with whom the token is linked. For example, cust_1Aa00000000002.
token_id mandatory
: string The unique identifier of the token that is to be deleted. For example, token_1Aa00000000001.